Subject: RE: [Simple] New version of XCAP usage for manipulating presencedocument contents

From: [email-masked]
Date: Wed, 23 Jun 2004 09:45:48 +0300

Hi Mikko,

Thanks for your comments! Please see replies to your comments inline.

Mikko wrote:
> 
> Hi,
> 
> Below some comments to the draft. I will send all nits directly to Markus.

Almost all the nits will be considered in the new version.

> 
> Page 1, first paragraph:
> Contains reference to RFC2026. Should be updated to RFC 3668

OK.

> 
> Section 1, introduction:
> This section contains quite a lot requirement/use case text. This is
> probably ok but I was wondering if this is really needed for WG draft?

During the review of the previous version of this draft it was commented that that draft should contain clear description of what are the use cases for XCAP-based PIDF manipulation versus SIP PUBLISH. This is now included, and I think it should be kept like that, so that this consideration is not lost for the future readers who have not participated in the discussion in the meetings or mailings lists.

> 
> Section 5, first parapraph:
> "
> The XML [5] format of the presence information (PIDF) is defined in
> [3] and its extensions. 
> "
> 
> Change to ->
> 
> "  
> The XML [5] format of the presence information (PIDF) is defined in
> PIDF [3]. PIDF also defines a mechanism how presence documents can be
> extended.
> " 

The texts will be rephrased accordingly.

> 
> "
> The PIDF defines the presence information to
> consist of the root element 'presence' including 'tuples' which
> contain a mandatory status element, a communication mean specific
> presence attribute and other markups.
> " 
> 
> Change to ->
> 
> "The PIDF defines the presence information to consist of the root
> element 'presence'. The 'presence' element can contain 
> 'tuple' elements
> which contain a mandatory status element, a communication 
> mean specific presence attribute and other markups. 
> "

OK.

> 
> Section 6:
> This section sound very vague. Especially when document doesn't by
> itself define any XML schema. It might be good to add some 
> text explain what this computed data is.

The current XCAP draft does not any more require the Computed Data section to be 
defined for an application usage so I propose the removal of the section.

> 
> Section 7:
> "There are no constraints on the document beyond those described in
> the XML schemas and [3].
> "			
> To what other schemas this section refers to than PIDF schema or what
> are those other schemas?

It refers to PIDF and its extensions. I'll rephrase the sentence.

> 
> Section 10:
> "
> The XML schema definition for the presence information can be found
> from [3] and its extensions.
> "
> 
> Change to ->
> 
> "
> The XML schema definition for the presence information can be found
> from PIDF [3]. PIDF presence document can also contain extensions like
> RPID [ref].
> "
The text will be rephrased accordingly.

> 
> Section 11, example:
> For me this example is not totally clear in what it tries to
> demonstrate. I think it tries to show an example what kind of presence
> document can be published using XCAP. However, I could also 
> ready it as
> what PS should directly put into notifications which it sends to the
> watchers. There could be more text saying that this is the presence
> document provided from XCAP client to XCAP server.

Ok - clarified.

> 
> Section 13.1,
> "
> Description: Pidf-manipulation application usage defines how XCAP is
> used to manipulate the contents of presence documents in Session
> Initiation Protocol (SIP) based presence systems.
> "
> 
> Change to ->
> 
> "
> Description: PIDF-manipulation application usage defines how XCAP is
> used to manipulate the contents of PIDF based presence documents. 
> "

OK.

> - Mikko

-Eva

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple